# DataExchange
TKSTEP
StepAP203

# StepAP203_DateTimeItem Class Reference

Representation of STEP SELECT type DateTimeItem
.

`#include <StepAP203_DateTimeItem.hxx>`

Inheritance diagram for StepAP203_DateTimeItem:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP203_DateTimeItem ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of DateTimeItem select type 1 -> ProductDefinition from StepBasic 2 -> ChangeRequest from StepAP203 3 -> StartRequest from StepAP203 4 -> Change from StepAP203 5 -> StartWork from StepAP203 6 -> ApprovalPersonOrganization from StepBasic 7 -> Contract from StepBasic 8 -> SecurityClassification from StepBasic 9 -> Certification from StepBasic 0 else .
Standard_EXPORT Handle_StepBasic_ProductDefinition | ProductDefinition () const
| Returns Value as ProductDefinition (or Null if another type) .
Standard_EXPORT Handle_StepAP203_ChangeRequest | ChangeRequest () const
| Returns Value as ChangeRequest (or Null if another type) .
Standard_EXPORT Handle_StepAP203_StartRequest | StartRequest () const
| Returns Value as StartRequest (or Null if another type) .
Standard_EXPORT Handle_StepAP203_Change | Change () const
| Returns Value as Change (or Null if another type) .
Standard_EXPORT Handle_StepAP203_StartWork | StartWork () const
| Returns Value as StartWork (or Null if another type) .
Standard_EXPORT Handle_StepBasic_ApprovalPersonOrganization | ApprovalPersonOrganization () const
| Returns Value as ApprovalPersonOrganization (or Null if another type) .
Standard_EXPORT Handle_StepBasic_Contract | Contract () const
| Returns Value as Contract (or Null if another type) .
Standard_EXPORT Handle_StepBasic_SecurityClassification | SecurityClassification () const
| Returns Value as SecurityClassification (or Null if another type) .
Standard_EXPORT Handle_StepBasic_Certification | Certification () const
| Returns Value as Certification (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_DateTimeItem::StepAP203_DateTimeItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_ApprovalPersonOrganization StepAP203_DateTimeItem::ApprovalPersonOrganization | ( |  | ) | const

Standard_EXPORT Standard_Integer StepAP203_DateTimeItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepBasic_Certification StepAP203_DateTimeItem::Certification | ( |  | ) | const

Standard_EXPORT Handle_StepAP203_Change StepAP203_DateTimeItem::Change | ( |  | ) | const

Standard_EXPORT Handle_StepAP203_ChangeRequest StepAP203_DateTimeItem::ChangeRequest | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Contract StepAP203_DateTimeItem::Contract | ( |  | ) | const

void StepAP203_DateTimeItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP203_DateTimeItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP203_DateTimeItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepBasic_ProductDefinition StepAP203_DateTimeItem::ProductDefinition | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_SecurityClassification StepAP203_DateTimeItem::SecurityClassification | ( |  | ) | const

Standard_EXPORT Handle_StepAP203_StartRequest StepAP203_DateTimeItem::StartRequest | ( |  | ) | const

Standard_EXPORT Handle_StepAP203_StartWork StepAP203_DateTimeItem::StartWork | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepAP203_DateTimeItem.hxx